Creates a new unavailability

Request Information

URI Parameters :

None.

Body Parameters :

user_unavailability
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
date_start

Date+Time of the beginning

date

Required

date_end

Date+Time of the end

date

Required

modified_dateutc

Date+Time of the modified

date

Required

description

Description of the unavailability

string

Max length: 255

is_approved

Indicate if this object has been approved using a User Week Approval

boolean
user_id

User owner of this unavailability

globally unique identifier

Optionally required : user_id, user_code or user must be provided

user_code

Embedded entity "user" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_id, user_code or user must be provided

user

Embedded entity "user" using node when adding/updating user_unavailability

user

Optionally required : user_id, user_code or user must be provided

user_unavailability_type_id

Type of the unavailability, cf model user_unavailability_type

globally unique identifier

Required

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type_code

Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type

Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability

user_unavailability_type

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

Request Formats :

application/json, text/json

Sample:
{
  "id": "26896504-0fc9-47fb-a8aa-d4bea2539c96",
  "date_start": "2026-10-31T16:56:47.3362916+00:00",
  "date_end": "2026-10-31T16:56:47.3362916+00:00",
  "modified_dateutc": "2026-10-31T16:56:47.3362916+00:00",
  "description": "sample string 5",
  "is_approved": true,
  "user_id": "2b76b3be-6904-465c-ae19-e8ebd5d1ca94",
  "user_code": "sample string 8",
  "user": {
    "id": "198c4a71-87ec-4737-ae33-9cdd6ce25769",
    "db_language_id": "750ca8c7-1998-4a18-9909-23a3d17f0986",
    "username": "sample string 3",
    "firstname": "sample string 4",
    "lastname": "sample string 5",
    "code": "sample string 6",
    "archived": true,
    "disabled": true,
    "emergency_contact": "sample string 9",
    "bankaccount": "sample string 10",
    "social_security": "sample string 11",
    "place_of_birth": "sample string 12",
    "nationality": "sample string 13",
    "functions": "sample string 14",
    "birthdate": "2026-10-31T16:56:47.3362916+00:00",
    "skype": "sample string 16",
    "notes": "sample string 17",
    "sales_organization_id": "44c04d0f-9fdf-4900-bf0d-20ab498ae776",
    "sales_organization": {
      "id": "0e5c2485-4112-4f4e-92ec-c32c2bf54891",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "eca1fd2b-2e9f-4052-b53b-89f4b16fb12b",
      "db_currency_id": "47a14330-b819-47d0-8a1e-e01552b1bbf2",
      "db_language_id": "d5fc6ce1-3189-4e81-8cad-ccc04a94fd18",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-10-31T16:56:47.3362916+00:00"
    },
    "sales_organization_code": "sample string 19",
    "is_team_leader": true,
    "team_leader_user_id": "dfc908a8-91e7-4803-925b-4c1f9ca7fcdd",
    "email": "sample string 22",
    "phone": "sample string 23",
    "fax": "sample string 24",
    "mobile": "sample string 25",
    "private_email": "sample string 26",
    "private_phone": "sample string 27",
    "private_fax": "sample string 28",
    "private_mobile": "sample string 29",
    "private_street": "sample string 30",
    "private_street_number": "sample string 31",
    "private_city": "sample string 32",
    "private_zip": "sample string 33",
    "private_db_country_id": "dbbeb01e-16fb-4ffd-8ab9-9692bbd2461d",
    "private_db_country_code": "sample string 35",
    "modified_dateutc": "2026-10-31T16:56:47.3362916+00:00",
    "allow_hero_app": true,
    "allow_sales_app": true,
    "allow_service_app": true,
    "user_group_id": "2e7a9ef3-a976-48a1-b475-133f8aa50864"
  },
  "user_unavailability_type_id": "e66d5a74-dc1d-4b77-867f-2ef81c0e19e2",
  "user_unavailability_type_code": "sample string 10",
  "user_unavailability_type": {
    "id": "990185d8-3700-4ea6-ad12-07a77d19d04d",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "sales_organization_id": "402c17ec-a6c2-41a6-903f-6bcff178d54c",
    "sales_organization_code": "sample string 6",
    "sales_organization": {
      "id": "0e5c2485-4112-4f4e-92ec-c32c2bf54891",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "eca1fd2b-2e9f-4052-b53b-89f4b16fb12b",
      "db_currency_id": "47a14330-b819-47d0-8a1e-e01552b1bbf2",
      "db_language_id": "d5fc6ce1-3189-4e81-8cad-ccc04a94fd18",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-10-31T16:56:47.3362916+00:00"
    },
    "modified_dateutc": "2026-10-31T16:56:47.3362916+00:00"
  }
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.